package com.huimv.acquisition.entity;

import java.util.Date;

/**
 * @Author Anchor
 * @Date 2021/7/30 17:23
 * @Version 1.0.1
 */
public class TempMovePenEntity {


    private Integer id;
    /**
     * 耳标号
     */
    private String eartagNo;
    /**
     * 转舍日期
     */
    private Date moveDate;
    /**
     * 当前阶段
     */
    private Integer stage;
    /**
     * 设备编码
     */
    private String deviceCode;


    //第几次转舍
    private String removeSec;

    //猪舍名称
    private String penName;


    //单元名称
    private String unitname;


    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getEartagNo() {
        return eartagNo;
    }

    public void setEartagNo(String eartagNo) {
        this.eartagNo = eartagNo;
    }

    public Date getMoveDate() {
        return moveDate;
    }

    public void setMoveDate(Date moveDate) {
        this.moveDate = moveDate;
    }

    public Integer getStage() {
        return stage;
    }

    public void setStage(Integer stage) {
        this.stage = stage;
    }

    public String getDeviceCode() {
        return deviceCode;
    }

    public void setDeviceCode(String deviceCode) {
        this.deviceCode = deviceCode;
    }

    public String getRemoveSec() {
        return removeSec;
    }

    public void setRemoveSec(String removeSec) {
        this.removeSec = removeSec;
    }

    public String getPenName() {
        return penName;
    }

    public void setPenName(String penName) {
        this.penName = penName;
    }

    public String getUnitname() {
        return unitname;
    }

    public void setUnitname(String unitname) {
        this.unitname = unitname;
    }


    @Override
    public String toString() {
        return "MovePenEntity{" +
                "id=" + id +
                ", eartagNo='" + eartagNo + '\'' +
                ", moveDate=" + moveDate +
                ", stage=" + stage +
                ", deviceCode='" + deviceCode + '\'' +
                ", removeSec='" + removeSec + '\'' +
                ", penName='" + penName + '\'' +
                ", unitname='" + unitname + '\'' +
                '}';
    }
}
